commit 7cee6ad35eb0fd9f79100e5fa7b6560b8ea7fe10
Author: Martin Liska <mliska@suse.cz>
Date:   Mon Oct 24 15:34:39 2022 +0200

    x86: fix VENDOR_MAX enum value
    
            PR target/107364
    
    gcc/ChangeLog:
    
            * common/config/i386/i386-cpuinfo.h (enum processor_vendor):
              Reorder enum values as BUILTIN_VENDOR_MAX should not point
              in the middle of the valid enum values.
    
    (cherry picked from commit f751bf4c5d1aaa1aacfcbdec62881c5ea1175dfb)

diff --git a/gcc/common/config/i386/i386-cpuinfo.h b/gcc/common/config/i386/i386-cpuinfo.h
index 19f54862711..e0d64ac435f 100644
--- a/gcc/common/config/i386/i386-cpuinfo.h
+++ b/gcc/common/config/i386/i386-cpuinfo.h
@@ -30,8 +30,10 @@ enum processor_vendor
   VENDOR_INTEL = 1,
   VENDOR_AMD,
   VENDOR_OTHER,
-  BUILTIN_VENDOR_MAX = VENDOR_OTHER,
-  VENDOR_MAX
+
+  /* Maximum values must be at the end of this enum.  */
+  VENDOR_MAX,
+  BUILTIN_VENDOR_MAX = VENDOR_OTHER
 };
 
 /* Any new types or subtypes have to be inserted at the end. */

